Package org.gradle.tooling

# Interface BuildAction<T>

Type Parameters:
  `T` - The type of result produced by this action.

All Superinterfaces:
  `Serializable`

public interface BuildAction<T> extends Serializable
An action that executes against a Gradle build and produces a result of type `T`.

You can execute a `BuildAction` using the `ProjectConnection.action(BuildAction)` method.

Since:
  1.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `execute(BuildController controller)`
  Executes this action and returns the result.

- ## Method Details

  - ### execute

    T execute(BuildController controller)
    Executes this action and returns the result.
    Parameters:
      `controller` - The controller to use to access and control the build.
    Returns:
      The result
    Since:
      1.8